/* eslint-disable */

import {
  request
} from './network'
import Cookie from "js-cookie"

const identity = Cookie.get('index-identity')
// 发送注册时候验证码
export function registerCode(data) {
  data['identity'] = identity;
  return request({
    method: 'post',
    url: '/web/code/registerCode',
    params:data
  })
}
export function passwordCode(data) {
  data['identity'] = identity;
  return request({
    method: 'post',
    url: '/web/code/passwordCode',
    params:data
  })
}

// 填写注册信息
export function setAccountInfo(data) {
  data['identity'] = identity;
  return request({
    method: 'post',
    url: '/web/register/setAccountInfo',
    data
  })
}

// 获取注册信息
export function getAccountInfo(data) {
  data['identity'] = identity;
  return request({
    method: 'post',
    url: '/web/register/getAccountInfo',
    data
  })
}
